Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.io
Interface CharDecoder

All Known Implementing Classes:
  AbstractCharDecoder, GenericDecoder, StringDecoder

public interface CharDecoder

This interface represents an object which decodes characters from a stream of bytes.

Field Summary
`static int` | `END_OF_STREAM` This constant represents the end of stream character.

Method Summary
`void` | `dispose()` Disposes the associated resources.
`int` | `readChar()` Reads the next character.

Field Detail

### END_OF_STREAM

    public static final int END_OF_STREAM

  This constant represents the end of stream character.

  See Also:
    Constant Field Values

Method Detail

### readChar

    public int readChar()
                 throws java.io.IOException

  Reads the next character.

  Returns:
    a character or END_OF_STREAM.
  Throws:
    `java.io.IOException`

### dispose

    public void dispose()
                 throws java.io.IOException

  Disposes the associated resources.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.